pacparser_find_proxy(3)

NAME
pacparser_find_proxy - Finds proxy for a given URL and Host.

SYNOPSIS
#include <pacparser.h>

char *pacparser_find_proxy
(
    const char *url,
    const char *host
);

PARAMETERS

const char *url
    URL to find proxy for.

const char *host
    Host part of the URL.

DESCRIPTION
Finds proxy for a given URL and Host. This function should be called only after pacparser engine has been initialized (using pacparser_init) and pac script has been parsed (using pacparser_parse_pac_file or pacparser_parse_pac_string).

RETURNS
Proxy string on sucess and NULL on error.

SEE ALSO
pacparser_version(3), pacparser_init(3), pacparser_parse_pac_file(3), pacparser_parse_pac_string(3), pacparser_parse_pac(3), pacparser_just_find_proxy(3), pacparser_cleanup(3), pacparser_setmyip(3), pacparser_enable_microsoft_extensions(3)